Package org.apache.solr.client.solrj.io.eq

## Interface Equalitor<T>

All Known Subinterfaces:
  `StreamEqualitor`

All Known Implementing Classes:
  `FieldEqualitor`, `MultipleFieldEqualitor`

    public interface Equalitor<T>

Interface defining a way to determine if two items are equal

This borrows from Java 8's BiPredicate interface but to keep Java 7 compatible we will not use that interface directory. We will use the test method, however, so that future refactoring for Java 8 is simplified.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `test​(T left, T right)`

### Method Detail

#### test

    boolean test​(T left,
                 T right)